## wmppp.app 1.3.0

=== wmppp/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
CFLAGS = -O2
OBJS  = wmppp.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

.c.o:
	cc -g -c $(CFLAGS) -Wall $< -o $*.o

wmppp: $(OBJS)
	cc -o wmppp $^ -lXext $(LIBDIR) $(LIBS)

all:: wmppp getmodemspeed

clean::
	for i in $(OBJS) ; do \
		rm $$i; \
	done
	rm wmppp getmodemspeed

install::
	
	cp -f wmppp /usr/local/bin/
	chmod 755 /usr/local/bin/wmppp
	chown root:root /usr/local/bin/wmppp
	cp getmodemspeed /etc/ppp/
	chmod 755 /etc/ppp/getmodemspeed
	chown root.root /etc/ppp/getmodemspeed
	cp -f user.wmppprc /etc/wmppprc
	chmod 644 /etc/wmppprc
	chown root.root /etc/wmppprc
	cp -f user.wmppprc $(HOME)/.wmppprc
	echo "WMPPP installation finished."

## wmppp.app 1.3.0+20140915

=== wmppp/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
CFLAGS += -O2
OBJS  = wmppp.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

.c.o:
	cc -g -c $(CPPFLAGS) $(CFLAGS) -Wall $< -o $*.o

wmppp: $(OBJS)
	cc -o wmppp $(LDFLAGS) $^ -lXext $(LIBDIR) $(LIBS)

all:: wmppp getmodemspeed

clean::
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmppp getmodemspeed

install::

	cp -f wmppp /usr/local/bin/
	chmod 755 /usr/local/bin/wmppp
	chown root:root /usr/local/bin/wmppp
	cp getmodemspeed /etc/ppp/
	chmod 755 /etc/ppp/getmodemspeed
	chown root.root /etc/ppp/getmodemspeed
	cp -f user.wmppprc /etc/wmppprc
	chmod 644 /etc/wmppprc
	chown root.root /etc/wmppprc
	cp -f user.wmppprc $(HOME)/.wmppprc
	cp -f wmppp.1 /usr/local/share/man/man1
	echo "WMPPP installation finished."

=== debian/changelog ===
wmppp.app (1.3.0+20140915-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * New maintainer (Closes: #664097).
  * debian/00wmppp.ppp.ip-*
    - Rename from debian/ip-* for use by dh_installppp (Closes: #212832).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump Standards-Version to 3.9.5.
    - Increase debhelper Build-Depends to >=9.
    - Add Homepage and Vcs-* fields.
    - Shorten single line synopsis.
    - Add ${misc:Depends} to Depends.
    - Remove redundant Section and Priority fields.
    - Convert double space after colon in Build-Depends to single space.
  * debian/copyright
    - Update to machine-readable format version 1.0.
  * debian/dirs
    - Remove unnecessary file.
  * debian/install
    - New file.
    - Binary no longer stripped when nostrip option used (Closes: #438275).
  * debian/manpages
    - New file.
  * debian/menu
    - Update section.
  * debian/patches
    - Convert previous patches to quilt.  (Some have been applied upstream.)
    - (get_number_from_getmodemspeed.patch) Edit to avoid unused variable
      compiler warning.
  * debian/rules
    - Update to use dh.
    - Add get-orig-source target.
  * debian/source/format
    - New file; use quilt (3.0).
  * debian/watch
    - New file.
  * debian/wmppp.1
    - Remove file; manpage added upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 15 Sep 2014 20:37:53 -0500

wmppp.app (1.3.0-8) unstable; urgency=low

  * Update build dependencies for xlibs split (Closes: #346983).
  * Add patch from jguiton to display very high speeds with a "k" suffix
    (Closes: #328699).

 -- Chris Waters <xtifr@debian.org>  Wed, 18 Jan 2006 16:00:09 -0800

wmppp.app (1.3.0-7) unstable; urgency=low

  * Update Standards-Version in debian/control.

 -- Chris Waters <xtifr@debian.org>  Thu, 22 May 2003 21:15:37 -0700

wmppp.app (1.3.0-6) unstable; urgency=low

  * Re-add patches that got dropped on the floor when I switched to
    using CVS, including the all-important patch to use pon/poff by
    default (Closes: #138939).

 -- Chris Waters <xtifr@debian.org>  Mon, 18 Mar 2002 13:26:54 -0800

wmppp.app (1.3.0-5) unstable; urgency=low

  * Add some patches by Juan Cespedes <cespedes@debian.org> which may
    allow ISDN devices to be used.  Also include Juan's patches for
    stampfile handling (Closes: #97509).

 -- Chris Waters <xtifr@debian.org>  Fri, 15 Mar 2002 19:17:41 -0800

wmppp.app (1.3.0-4) unstable; urgency=low

  * Add missing dependency on ppp.

 -- Chris Waters <xtifr@debian.org>  Mon, 16 Apr 2001 23:46:15 -0700

wmppp.app (1.3.0-3) unstable; urgency=low

  * Fix build-dependency on obsolete xpm4g-dev package (Closes: #92683).
  * Rebuild against XFree86-4.
  * Move binary and man page out of X11R6 tree, as per new policy.
  * Change debian/rules to use the new dh_installman, and therefore added
    versioned build-depends on debhelper.

 -- Chris Waters <xtifr@debian.org>  Sun,  8 Apr 2001 12:49:13 -0700

wmppp.app (1.3.0-2) unstable; urgency=low

  * New maintainer (Closes: #76961).
  * Correct directories mentioned in README.Debian (Closes: #72928).
  * Recompile (again) against modern xpm4g package (Closes: #67955).
  * Update file locations for FHS compatibility.
  * Update Standards-Version in debian/control.
  * Bring the man page up-to-date, adding new options and correcting
    a few minor details here and there.

 -- Chris Waters <xtifr@debian.org>  Tue, 14 Nov 2000 00:24:57 -0800

wmppp.app (1.3.0-1.1) unstable; urgency=low

  * NMU by Branden Robinson <branden@debian.org>.
  * Recompile against modern xpm4g package to get proper shared library
    dependency and permit this package to be installed with forthcoming
    XFree86 4.x packages, which include libXpm.
  * debian/control: add Build-Depends.

 -- Branden Robinson <branden@debian.org>  Mon, 23 Oct 2000 14:59:01 -0500

wmppp.app (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Some patches from 1.2 incorporated upstream.
  * Patch wmppp/wmppp.c to expect a NUMBER from getmodemspeed, and not
    the whole connect line.
  * Modify debian/rules to cope with new source layout.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 20 Sep 1998 12:41:40 -0600

wmppp.app (1.2p1-1) unstable; urgency=low

  * New upstream release.
  * Redo the patch to parse configuration files.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  2 May 1998 17:08:52 -0600

wmppp.app (1.2-1) unstable; urgency=low

  * New upstream release.
  * Some of the patches to 1.1 incorportated upstream.
  * Modify wmppp a bit to make it work with Debian PPP scripts.
  * Write real manpages for wmppp and wmifs.
  * Modify configuration file parsing to make it more flexible and less
    dictatorial (sent upstream).

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri,  1 May 1998 20:28:43 -0600

wmppp.app (1.1-1) unstable; urgency=low

  * Initial release.
  * Modify to work with Debian PPP scripts and Debian ip-{up,dow}.d structure.
  * Add patches to let it connect to a PPP session not started by WMPPP (sent
    upstream).
  * Add patches to pass it some things on the command line (programs to
    excecute) (sent upstream).
  * Add patches for wmifs to let it work with arbitrary interfaces, not just
    eth? and ppp0 (sent upstream).

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 11 Apr 1998 16:44:31 -0600

=== debian/control ===
Source: wmppp.app
Section: net
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Homepage: http://windowmaker.org/dockapps/?name=wmppp.app
Vcs-Browser: https://github.com/d-torrance/wmppp.app
Vcs-Git: https://github.com/d-torrance/wmppp.app.git

Package: wmppp.app
Architecture: any
Depends: ppp, ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: PPP dial control and network load monitor w/ NeXTStep look
 wmppp.app provides a PPP activator and network load monitor on a 64x64 mini
 window.  With wmppp you can monitor the total traffic as well as the outbound
 and inbound traffic.  It is designed to work with the WindowMaker dock, but
 will work great with other window managers as well.
 .
 Now with experimental ippp device support.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=wmppp

override_dh_auto_install:
#ignore upstream install target; use dh_install instead

override_dh_installppp:
	dh_installppp --name=00wmppp

get-orig-source:
	uscan --verbose --force-download
	@if test -e ../wmppp.app-*.download ; then \
		rename -fv "s/wmppp.app-(.+)\.download/wmppp.app_\1\.orig\.tar\.gz/" \
			../wmppp.app-*.download; \
	fi

## wmppp.app 1.3.1

=== Makefile ===
LIBS   = -lXpm -lXext -lX11
OBJS  = wmppp.o \
		wmgeneral/wmgeneral.o \
		wmgeneral/misc.o \
		wmgeneral/list.o

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib/wmppp.app
SYSCONFDIR = /etc
MANDIR = $(PREFIX)/share/man/man1

all:: wmppp getmodemspeed

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

wmppp: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

getmodemspeed: getmodemspeed.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f getmodemspeed.o
	rm -f wmppp getmodemspeed

install::
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) wmppp $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROGRAM) getmodemspeed $(DESTDIR)$(LIBDIR)
	$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)
	$(INSTALL_DATA) user.wmppprc $(DESTDIR)$(SYSCONFDIR)/wmppprc
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL_DATA) wmppp.1 $(DESTDIR)$(MANDIR)
	echo "WMPPP installation finished."

=== debian/changelog ===
wmppp.app (1.3.1-2) unstable; urgency=medium

  * debian/control
    - Set Architecture to linux-any.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 14 Jun 2015 12:59:02 -0500

wmppp.app (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Reread configuration file on SIGHUP or connect (Closes: #50181).
    - Add new command line options (Closes: #293839).
    - Fix segfault when HOME is undefined (Closes: #716472).
    - New version of wmgeneral library builds with gcc5 (Closes: #778172).
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
  * debian/copyright
    - Add stanzas for wmgeneral library files; clarify license as GPL-2+,
      not GPL-2.
  * debian/examples
    - Update locations of config files.
  * debian/install
    - Remove wmppp binary; now installed by upstream build system.
    - Add wmppprc config file.
  * debian/rules
    - Update get-orig-source target; add --no-symlink option to uscan and split
      -f and -v options to rename.
    - Drop --sourcedirectory option to dh; source now in top directory.
    - Update override_dh_auto_install target; we now use the upstream build
      system but must pass PREFIX=/usr.
  * debian/manpage
    - Remove file; manpage now installed by upstream build system.
  * debian/patches/get_number_from_getmodemspeed.patch
    - Refresh for new upstream version.
  * debian/patches/hardcode_actions.patch
    - Remove patch; we accomplish the same thing by installing a config file.
  * debian/wmppprc
    - System config file replacing hardcode_actions.patch.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 20 May 2015 16:14:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
 Homepage: http://windowmaker.org/dockapps/?name=wmppp.app
 Vcs-Browser: https://github.com/d-torrance/wmppp.app
 Vcs-Git: https://github.com/d-torrance/wmppp.app.git
 
 Package: wmppp.app
-Architecture: any
+Architecture: linux-any
 Depends: ppp, ${shlibs:Depends}, ${misc:Depends}
 Suggests: wmaker
 Description: PPP dial control and network load monitor w/ NeXTStep look

## wmppp.app 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
-LIBS   = -lXpm -lXext -lX11
-OBJS  = wmppp.o \
-		wmgeneral/wmgeneral.o \
-		wmgeneral/misc.o \
-		wmgeneral/list.o
+LIBS   = -lXpm -lXext -lX11 -ldockapp
+OBJS  = wmppp.o
 
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL)

=== debian/changelog ===
wmppp.app (1.3.2-2) unstable; urgency=medium

  [ Doug Torrance ]
  * debian/control
    - Update Vcs-* after migration to Salsa.
    - Update Homepage to dockapps.net.
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Drop versioned build dependency on libdockapp, was (>= 1:0.7.0),
      but 1:0.7.2 is in o-o-stable.
    - Add Rules-Requires-Root field (no).
  * debian/copyright
    - Update Format in d/copyright to https.
  * debian/README.Debian
    - Rename from README.debian to match Policy sections 10.2 and 12.5.
  * debian/rules
    - Drop out-of-date get-orig-source target.
    - Use all hardening flags.
    - Install getmodemspeed helper program to /usr/libexec for FHS compliance.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.
  * debian/watch
    - Fix link.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 25 Aug 2021 22:59:37 -0400

wmppp.app (1.3.2-1) unstable; urgency=medium

  * New upstream releae.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Add libdockapp-dev to Build Depends.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address
    - Remove wmgeneral files; these have been moved to libdockapp.
  * debian/patches/get_number_from_getmodemspeed.patch
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 27 Aug 2015 07:08:06 -0400

=== debian/control ===
Source: wmppp.app
Section: net
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Homepage: https://www.dockapps.net/wmpppapp
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmppp.app
Vcs-Git: https://salsa.debian.org/wmaker-team/wmppp.app.git
Rules-Requires-Root: no

Package: wmppp.app
Architecture: linux-any
Depends: ppp, ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker
Description: PPP dial control and network load monitor w/ NeXTStep look
 wmppp.app provides a PPP activator and network load monitor on a 64x64 mini
 window.  With wmppp you can monitor the total traffic as well as the outbound
 and inbound traffic.  It is designed to work with the WindowMaker dock, but
 will work great with other window managers as well.
 .
 Now with experimental ippp device support.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr LIBDIR=/usr/libexec/wmppp.app

override_dh_installppp:
	dh_installppp --name=00wmppp

=== debian/watch ===
version=4
https://www.dockapps.net/wmpppapp /download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
